<?php



namespace App\Controllers;



use App\Models\OrderModel;

use CodeIgniter\Controller;



class OrderController extends Controller

{

    public function index()

    {

        return view('order_form');  // แสดงฟอร์มกรอกข้อมูล

        

    }



    public function store()

    {

        $orderModel = new OrderModel();



        // รับค่าจำนวนชิ้นจากฟอร์ม

        $quantity = $this->request->getPost('quantity');



        // คำนวณยอดเงิน

        $totalPrice = $orderModel->calculatePrice($quantity);
        $totalPrice228 = $orderModel->calculatePrice228($quantity);



        // บันทึกข้อมูล

        $orderModel->save([

            'quantity' => $quantity,

            'total_price' => $totalPrice,

            'total_price228' => $totalPrice228

        ]);



        // ส่งค่าผลลัพธ์ไปที่หน้าแสดงผล

        return view('order_result', ['quantity' => $quantity, 'total_price' => $totalPrice, 'total_price228' => $totalPrice228]);

        

    }

     public function orders()
    {
        $orderModel = new OrderModel();

        // จำนวนแถวต่อหน้า
        $perPage = 50;

        // รับค่าหน้าปัจจุบันจาก URL ถ้าไม่มีให้เป็นหน้า 1
        $currentPage = $this->request->getVar('page') ? (int) $this->request->getVar('page') : 1;

        // ดึงข้อมูลพร้อมแบ่งหน้า
        $orders = $orderModel->paginate($perPage, 'orders');

        // ส่งข้อมูลไปที่ View
        return view('orders_table', [
            'orders' => $orders,
            'pager' => $orderModel->pager,
            'currentPage' => $currentPage
        ]);
    }

}

